@font-face {
  font-family: "Gotham-Light";
  src: url("font/Gotham-Light.otf") format('opentype');
}


body {
  background-color: black;
  color: white;
  font-family: "Gotham-Light", "Helvetica Neue", sans-serif;
  margin: 0;
  padding: 0;
}

/* ===== HEADER ===== */

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 40px 100px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  box-sizing: border-box;
  z-index: 1000;
  background: transparent;
}

.logo {
  font-family: "Gotham-Light", "Helvetica Neue", sans-serif;
  font-size: 24px;
  color: inherit;
  text-decoration: none;
}

/* mobile logo */
@media screen and (max-width:600px){
  .logo img{
    height:48px;
  }
}

/* ===== MENU DESKTOP ===== */

.header-navigation {
  display: flex;
  justify-content: flex-end; 
}

nav ul {
  list-style: none;
  padding: 0;
  margin: 0;
  opacity: 1;
}

nav ul li {
  display: inline;
  margin-left: 20px;
}

nav ul li a {
  text-decoration: none;
  font-size: 16px;
  color: inherit;
  opacity: 1;
  transition: opacity 0.2s ease;
}

nav ul li a:hover,
nav ul li .selected {
  opacity: 1;
}

/* ===== HAMBURGER ===== */

.menu-toggle{
  font-size:26px;
  display:none;
  background:none;
  border:none;
  cursor:pointer;
  color:black;
  opacity:.8;
}

.menu-toggle:hover{
  opacity:1;
}

/* ===== MOBILE MENU ===== */

@media screen and (max-width:900px){

  .menu-toggle{
    display:block;
  }

  .header-navigation{
    display:none;
    position:absolute;

    top:calc(100% - 20px);
    right:0px;

    background:rgba(255,255,255,0.95);

    padding:25px;

    flex-direction:column;
    align-items:flex-end;
    text-align:right;

    z-index:1000;
  }

  .header-navigation.open{
    display:flex;
  }

  .header-navigation ul li{
    display:block;
    margin:10px 0;
    text-align:right;
  }

}

main {
  padding: 0px;
}

.hero-video {
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.hero-video video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.gallery {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2px;
}

@media screen and (max-width: 800px) {
  .gallery {
    grid-template-columns: 1fr;
  }
}

.gallery a {
  position: relative;
  z-index: 1;
  display: block;
  overflow: hidden;
  width: 100%;
  height: 0;
  padding-top: 56%; /* Proporção */
}

.gallery img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; /* Corta e ajusta a imagem */
  transition: opacity 0.1s ease;
}

.image-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 20px;
  text-align: center;
  font-family: "Gotham-Thin", "Helvetica Neue Light", sans-serif;
  color: white;
  opacity: 0;
  transition: opacity 0.1s ease;
}

.gallery img:hover + .image-title,
.image-title:hover {
  opacity: 0.9;
}

.gallery img:hover,
.gallery img:hover + .image-title {
  opacity: 0.6;
}
